groups:
  - group: "Устройство"
    disabled: true
    subgroups:
      - subgroup: "Состояние"
        params:
          - id: 1001
            name: "Device EUI"
            type: "byteArray"
            size: 8
          - id: 1002
            name: "Application EUI"
            type: "byteArray"
            size: 8
          - id: 1003
            name: "Application Key"
            type: "byteArray"
            size: 16
          - id: 1004
            name: "Device Address"
            type: "byteArray"
            size: 4
          - id: 1005
            name: "Application Session Key"
            type: "byteArray"
            size: 16
          - id: 1006
            name: "Network Session Key"
            type: "byteArray"
            size: 16
          - id: 1007
            name: "Модель устройства"
            type: "byte"
            values:
              - value: 1
                name: "Вега SI 11"
              - value: 2
                name: "Вега SI 12"
              - value: 3
                name: "Вега SI 13 232"
              - value: 4
                name: "Вега SI 13 485"
              - value: 5
                name: "Вега SI 11 LT"
              - value: 6
                name: "Вега MBUS 1"
              - value: 7
                name: "Вега TD 11"
              - value: 8
                name: "Вега SMART MC0101"
              - value: 9
                name: "Вега TP 11"
              - value: 10
                name: "Вега SI 21"
              - value: 11
                name: "Вега SMART AS0101"
              - value: 12
                name: "Вега SMART MS0101"
              - value: 13
                name: "Вега SMART SS0101"
              - value: 14
                name: "Вега MBUS 2"
              - value: 15
                name: "Вега TS 11"
              - value: 16
                name: "Вега SVE 1"
              - value: 17
                name: "Вега KOMETA MC0101"
              - value: 18
                name: "Вега GM 2"
              - value: 19
                name: "Вега LM 1"
              - value: 20
                name: "Вега SEEB"
              - value: 21
                name: "Вега SH 1"
              - value: 22
                name: "Вега MR 200"
              - value: 23
                name: "Вега TF 1"
              - value: 24
                name: "Вега TL 11"
              - value: 25
                name: "Вега TS 12"
              - value: 26
                name: "Вега SI 22"
              - value: 27
                name: "Вега SMART HS0101"
              - value: 28
                name: "Вега GM 1"
              - value: 29
                name: "Вега SH 2"
              - value: 30
                name: "Вега SMART ROAD SIGN"
              - value: 31
                name: "Вега TD GLOSAV"
              - value: 32
                name: "Вега USPD MEGAFON 1"
              - value: 33
                name: "Вега USPD MEGAFON 2"
              - value: 34
                name: "Вега USPD MEGAFON 3"
              - value: 35
                name: "Вега USPD MEGAFON 4"
              - value: 36
                name: "Вега TF 1 2"
              - value: 37
                name: "Вега MULTISENSOR 1"
              - value: 55
                name: "Вега SMART SS0102"
              - value: 59
                name: "Вега LM 211"
              - value: 192
                name: "Вега LM 210"
              - value: 193
                name: "Вега SMART BADGE"
              - value: 194
                name: "Вега SMART TAG"
          - id: 1008
            name: "Время устройства (UTC)"
            type: "datetime"
          - id: 1009
            name: "Версия ПО"
            type: "string"
            size: 20
          - id: 1010
            name: "Статус присоединения"
            type: "byte"
            values:
              - value: 1
                name: "В сети"
              - value: 2
                name: "Не в сети"
          - id: 1029
            name: "Device Address (OTAA)"
            type: "byteArray"
            size: 4
          - id: 1030
            name: "Счетчик отправленных пакетов"
            type: "int"
          - id: 1018
            name: "Температура"
            type: "byte"
          - id: 1019
            name: "Заряд батареи"
            type: "byte"
          - id: 1041
            name: "Угол отклонения от вертикали"
            type: "short"
            factor: 10
            precision: 1
          - id: 1042
            name: "Широта"
            type: "int"
            factor: 1000000
            precision: 6
          - id: 1043
            name: "Долгота"
            type: "int"
            factor: 1000000
            precision: 6
          - id: 1044
            name: "Состояние датчика движения"
            type: "byte"
            values:
              - value: 0
                name: "Покой"
              - value: 1
                name: "Движение"
          - id: 1045
            name: "Видимых спутников"
            type: "byte"
          - id: 1046
            name: "Используемых спутников"
            type: "byte"
          - id: 1047
            name: "Состояние навигационного приемника"
            type: "byte"
            values:
              - value: 0
                name: "Выключен"
              - value: 1
                name: "Включен"
          - id: 1157
            name: "MAC"
            type: "mac"
  - group: "LoRaWAN"
    subgroups:
      - subgroup: "Общие настройки"
        params:
          - id: 1
            name: "Частотный план LoRaWAN"
            type: "byte"
            values:
              - value: 1
                name: "EU868"
              - value: 2
                name: "RU868"
              - value: 3
                name: "CUSTOM"
              - value: 12
                name: "KZ865"
          - id: 3
            name: "Способ активации сети"
            type: "byte"
            values:
              - value: 1
                name: "OTAA"
              - value: 2
                name: "ABP"
          - id: 4
            name: "Запрашивать подтверждение"
            type: "byte"
            values:
              - value: 1
                name: "С подтверждением"
              - value: 2
                name: "Без подтверждения"
          - id: 5
            name: "Автоматическое управление скоростью"
            type: "byte"
            values:
              - value: 1
                name: "Вкл"
              - value: 2
                name: "Выкл"
          - id: 6
            name: "Открывать первое приемное окно через"
            type: "byte"
            values:
              - value: 1
                name: "1 секунду"
              - value: 2
                name: "2 секунды"
              - value: 3
                name: "3 секунды"
              - value: 4
                name: "4 секунды"
              - value: 5
                name: "5 секунд"
              - value: 6
                name: "6 секунд"
              - value: 7
                name: "7 секунд"
              - value: 8
                name: "8 секунд"
              - value: 9
                name: "9 секунд"
              - value: 10
                name: "10 секунд"
              - value: 11
                name: "11 секунд"
              - value: 12
                name: "12 секунд"
              - value: 13
                name: "13 секунд"
              - value: 14
                name: "14 секунд"
              - value: 15
                name: "15 секунд"
          - id: 7
            name: "Задержка присоединения к сети"
            type: "byte"
            values:
              - value: 1
                name: "1 секунда"
              - value: 2
                name: "2 секунды"
              - value: 3
                name: "3 секунды"
              - value: 4
                name: "4 секунды"
              - value: 5
                name: "5 секунд"
              - value: 6
                name: "6 секунд"
              - value: 7
                name: "7 секунд"
              - value: 8
                name: "8 секунд"
              - value: 9
                name: "9 секунд"
              - value: 10
                name: "10 секунд"
              - value: 11
                name: "11 секунд"
              - value: 12
                name: "12 секунд"
              - value: 13
                name: "13 секунд"
              - value: 14
                name: "14 секунд"
              - value: 15
                name: "15 секунд"
          - id: 8
            name: "Количество переповторов пакета"
            type: "byte"
            values:
              - value: 1
                name: "1 раз"
              - value: 2
                name: "2 раза"
              - value: 3
                name: "3 раза"
              - value: 4
                name: "4 раза"
              - value: 5
                name: "5 раз"
              - value: 6
                name: "6 раз"
              - value: 7
                name: "7 раз"
              - value: 8
                name: "8 раз"
              - value: 9
                name: "9 раз"
              - value: 10
                name: "10 раз"
              - value: 11
                name: "11 раз"
              - value: 12
                name: "12 раз"
              - value: 13
                name: "13 раз"
              - value: 14
                name: "14 раз"
              - value: 15
                name: "15 раз"
          - id: 9
            name: "Мощность передатчика"
            type: "byte"
            values:
              - value: 0
                name: "20 dBm"
              - value: 1
                name: "14 dBm"
              - value: 2
                name: "11 dBm"
              - value: 3
                name: "8 dBm"
              - value: 4
                name: "5 dBm"
              - value: 5
                name: "2 dBm"
          - id: 10
            name: "Скорость передачи"
            type: "byte"
            values:
              - value: 0
                name: "SF12 BW125"
              - value: 1
                name: "SF11 BW125"
              - value: 2
                name: "SF10 BW125"
              - value: 3
                name: "SF9 BW125"
              - value: 4
                name: "SF8 BW125"
              - value: 5
                name: "SF7 BW125"
  - group: "Вега LM-210"
    subgroups:
      - subgroup: "Общие настройки"
        params:
          - id: 44
            name: "Чувствительность акселерометра"
            type: "byte"
            values:
              - value: 1
                name: "Низкая"
              - value: 2
                name: "Средняя"
              - value: 3
                name: "Высокая"
              - value: 4
                name: "Отключен"
          - id: 252
            name: "Время определения GPS-координат"
            type: "short"
            values:
              - value: 60
                name: "1 минута"
              - value: 120
                name: "2 минуты"
              - value: 180
                name: "3 минуты"
              - value: 240
                name: "4 минуты"
              - value: 300
                name: "5 минут"
              - value: 360
                name: "6 минут"
              - value: 420
                name: "7 минут"
              - value: 480
                name: "8 минут"
              - value: 540
                name: "9 минут"
              - value: 600
                name: "10 минут"
          - id: 253
            name: "Время сканирования BLE-меток"
            type: "byte"
            from: 1
            to: 60
          - id: 254
            name: "Режим определения местоположения"
            type: "byte"
            values:
              - value: 1
                name: "GPS"
              - value: 2
                name: "BLE"
              - value: 3
                name: "BLE + GPS"

          - id: 261
            name: "Определение маяка"
            type: "short"
            values:
              - value: 1
                name: "Одиночный (iBeacon)"
              - value: 2
                name: "Одиночный (Eddystone)"
              - value: 3
                name: "Одиночный (AltBeacon)"
              - value: 4
                name: "Одиночный (Вега)"
              - value: 5
                name: "Одиночный (Все типы)"
              - value: 257
                name: "Мульти (iBeacon)"
              - value: 260
                name: "Мульти (Вега)"
              - value: 261
                name: "Мульти (Все типы)"
          - id: 271
            name: "Уровень сигнала BLE-ADV"
            type: "byte"
            values:
              - value: 0
                name: "-40 dBm"
              - value: 1
                name: "-20 dBm"
              - value: 2
                name: "-16 dBm"
              - value: 3
                name: "-12 dBm"
              - value: 4
                name: "-8 dBm"
              - value: 5
                name: "-4 dBm"
              - value: 6
                name: "0 dBm"
              - value: 7
                name: "+2 dBm"
              - value: 8
                name: "+3 dBm"
              - value: 9
                name: "+4 dBm"
              - value: 10
                name: "+5 dBm"
              - value: 11
                name: "+6 dBm"
              - value: 12
                name: "+7 dBm"
              - value: 13
                name: "+8 dBm"
          - id: 272
            name: "Уровень сигнала BLE-SCAN"
            type: "byte"
            values:
              - value: 0
                name: "-40 dBm"
              - value: 1
                name: "-20 dBm"
              - value: 2
                name: "-16 dBm"
              - value: 3
                name: "-12 dBm"
              - value: 4
                name: "-8 dBm"
              - value: 5
                name: "-4 dBm"
              - value: 6
                name: "0 dBm"
              - value: 7
                name: "+2 dBm"
              - value: 8
                name: "+3 dBm"
              - value: 9
                name: "+4 dBm"
              - value: 10
                name: "+5 dBm"
              - value: 11
                name: "+6 dBm"
              - value: 12
                name: "+7 dBm"
              - value: 13
                name: "+8 dBm"
          - id: 286
            name: "Период отправки адвертайзинг пакетов"
            type: "short"
            values:
              - value: 100
                name: "100 мс"
              - value: 200
                name: "200 мс"
              - value: 300
                name: "300 мс"
              - value: 400
                name: "400 мс"
              - value: 500
                name: "500 мс"
              - value: 1000
                name: "1000 мс"
              - value: 1500
                name: "1500 мс"
              - value: 2000
                name: "2000 мс"
      - subgroup: "Настройки передачи показаний"
        params:
          - id: 16
            name: "Период передачи данных в состоянии покоя"
            type: "byte"
            values:
              - value: 1
                name: "1 час"
              - value: 2
                name: "6 часов"
              - value: 3
                name: "12 часов"
              - value: 4
                name: "24 часа"
              - value: 5
                name: "5 минут"
              - value: 6
                name: "15 минут"
              - value: 7
                name: "30 минут"
              - value: 8
                name: "4 часа"
              - value: 9
                name: "15 секунд"
              - value: 10
                name: "30 секунд"
              - value: 11
                name: "1 минута"
              - value: 12
                name: "2 минуты"
              - value: 13
                name: "3 минуты"
              - value: 14
                name: "4 минуты"
              - value: 15
                name: "3 часа"
              - value: 16
                name: "9 часов"
          - id: 63
            name: "Период передачи данных в состоянии движения"
            type: "byte"
            values:
              - value: 1
                name: "1 час"
              - value: 2
                name: "6 часов"
              - value: 3
                name: "12 часов"
              - value: 4
                name: "24 часа"
              - value: 5
                name: "5 минут"
              - value: 6
                name: "15 минут"
              - value: 7
                name: "30 минут"
              - value: 8
                name: "4 часа"
              - value: 9
                name: "15 секунд"
              - value: 10
                name: "30 секунд"
              - value: 11
                name: "1 минута"
              - value: 12
                name: "2 минуты"
              - value: 13
                name: "3 минуты"
              - value: 14
                name: "4 минуты"
              - value: 15
                name: "3 часа"
              - value: 16
                name: "9 часов"
          - id: 49
            name: "Период накопления данных в состоянии покоя"
            type: "byte"
            values:
              - value: 1
                name: "1 час"
              - value: 2
                name: "6 часов"
              - value: 3
                name: "12 часов"
              - value: 4
                name: "24 часа"
              - value: 5
                name: "5 минут"
              - value: 6
                name: "15 минут"
              - value: 7
                name: "30 минут"
              - value: 8
                name: "4 часа"
              - value: 9
                name: "15 секунд"
              - value: 10
                name: "30 секунд"
              - value: 11
                name: "1 минута"
              - value: 12
                name: "2 минуты"
              - value: 13
                name: "3 минуты"
              - value: 14
                name: "4 минуты"
              - value: 15
                name: "3 часа"
              - value: 16
                name: "9 часов"
          - id: 62
            name: "Период накопления данных в состоянии движения"
            type: "byte"
            values:
              - value: 1
                name: "1 час"
              - value: 2
                name: "6 часов"
              - value: 3
                name: "12 часов"
              - value: 4
                name: "24 часа"
              - value: 5
                name: "5 минут"
              - value: 6
                name: "15 минут"
              - value: 7
                name: "30 минут"
              - value: 8
                name: "4 часа"
              - value: 9
                name: "15 секунд"
              - value: 10
                name: "30 секунд"
              - value: 11
                name: "1 минута"
              - value: 12
                name: "2 минуты"
              - value: 13
                name: "3 минуты"
              - value: 14
                name: "4 минуты"
              - value: 15
                name: "3 часа"
              - value: 16
                name: "9 часов"
      - subgroup: "Настройки охраны"
        params:
          - id: 71
            name: "Генерировать тревогу при каждом начале движения"
            type: "byte"
            values:
              - value: 0
                name: "Нет"
              - value: 1
                name: "Да"
          - id: 300
            name: "Отправлять пакет сразу после его формирования"
            type: "byte"
            values:
              - value: 0
                name: "Нет"
              - value: 1
                name: "Да"